package com.goldenwater.slaj.eme.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.eme.mapper.BusiDrillRecordMapper;
import com.goldenwater.slaj.eme.domain.BusiDrillRecord;
import com.goldenwater.slaj.eme.service.IBusiDrillRecordService;

/**
 * 演练实施记录 服务层实现
 */
@Service
public class BusiDrillRecordServiceImpl implements IBusiDrillRecordService {

    @Autowired
    private BusiDrillRecordMapper busiDrillRecordMapper;

    @Override
    public BusiDrillRecord selectBusiDrillRecordByGuid(String guid) {
        return busiDrillRecordMapper.selectBusiDrillRecordByGuid(guid);
    }

    @Override
    public List<BusiDrillRecord> selectBusiDrillRecordList(BusiDrillRecord busiDrillRecord) {
        return busiDrillRecordMapper.selectBusiDrillRecordList(busiDrillRecord);
    }

    @Override
    public int insertBusiDrillRecord(BusiDrillRecord busiDrillRecord) {
        return busiDrillRecordMapper.insertBusiDrillRecord(busiDrillRecord);
    }

    @Override
    public int updateBusiDrillRecord(BusiDrillRecord busiDrillRecord) {
        return busiDrillRecordMapper.updateBusiDrillRecord(busiDrillRecord);
    }

    @Override
    public int deleteBusiDrillRecordByGuid(String guid) {
        return busiDrillRecordMapper.deleteBusiDrillRecordByGuid(guid);
    }

    @Override
    public int deleteBusiDrillRecordByGuids(String[] guids) {
        return busiDrillRecordMapper.deleteBusiDrillRecordByGuids(guids);
    }
}
